Package org.bukkit.inventory.meta

# Interface CompassMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface CompassMeta extends ItemMeta
Represents a compass that can track a specific location.

## Method Summary

Modifier and Type
Method
Description
`CompassMeta`
`clone()`
`@Nullable Location`
`getLodestone()`
Gets the location that this compass will point to.
`boolean`
`hasLodestone()`
Checks if this compass has been paired to a lodestone.
`boolean`
`isLodestoneTracked()`
Gets if this compass is tracking a specific lodestone.
`void`
`setLodestone(@Nullable Location lodestone)`
Sets the location this lodestone compass will point to.
`void`
`setLodestoneTracked(boolean tracked)`
Sets if this compass is tracking a specific lodestone.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### hasLodestone

boolean hasLodestone()
Checks if this compass has been paired to a lodestone.

Returns:
  paired status

### getLodestone

@Nullable @Nullable Location getLodestone()
Gets the location that this compass will point to. Check `hasLodestone()` first!

Returns:
  lodestone location

### setLodestone

void setLodestone(@Nullable @Nullable Location lodestone)
Sets the location this lodestone compass will point to.

Parameters:
  `lodestone` - new location or null to clear

### isLodestoneTracked

boolean isLodestoneTracked()
Gets if this compass is tracking a specific lodestone. If true the compass will only work if there is a lodestone at the tracked location.

Returns:
  lodestone tracked

### setLodestoneTracked

void setLodestoneTracked(boolean tracked)
Sets if this compass is tracking a specific lodestone. If true the compass will only work if there is a lodestone at the tracked location.

Parameters:
  `tracked` - new tracked status

### clone

CompassMeta clone()

Specified by:
  `clone` in interface `ItemMeta`